// FrameWnd.h: interface for the CFrameWnd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FRAMEWND_H__82170668_FDB5_4F4F_B6C1_7F3D794C83EF__INCLUDED_)
#define AFX_FRAMEWND_H__82170668_FDB5_4F4F_B6C1_7F3D794C83EF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Unknown.h"

class CFrameWnd : public CUnknown  
{
public:
	static HWND m_hWnd;
	static BOOL m_bActive;

public:
	HDC		m_hDC;

public:
	CFrameWnd();
	virtual ~CFrameWnd();

	virtual void Destroy();
	virtual bool Create(LPSTR lpszTitle, HINSTANCE hInstance, int nWidth, int nHeight);

	// inline
	///////////////////////////////////////////////////////////////////////////
	HDC GetDC()		{ return m_hDC; }
};

#endif // !defined(AFX_FRAMEWND0_H__82170668_FDB5_4F4F_B6C1_7F3D794C83EF__INCLUDED_)
